<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('24','views','R');    
$_SESSION['cuPages']='acc_subgrouplist.php';   
$cuPage='acc_subgrouplist.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='account';
$menuh='Account';
$phead='sgrolist';
$page='Sub-Group List';
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php 
if(isset($_POST['delsgr'])){
$id=$_POST['delsgr'];
if(delete_check('tbl_acledger','sgrid',$id)>0){
save_msg('w','Sub-Group Depend On Other Table!!!');
echo "<script>window.location='acc_subgrouplist.php'</script>";
return;    
}
$name= get_fild_data('tbl_acsubgroup',$id,'name');   
$sql="DELETE FROM tbl_acsubgroup WHERE id='$id'";
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
$efid=mysqli_affected_rows($con);    
if($efid>0){    
$act =remove_junk(escape('Sub-Group name: '.$name));    
write_activity($aid,'ASG','Sub-Group has been deleted',$act);       
save_msg('s','Sub-Group Successfully Deleted!!!');
echo "<script>window.location='acc_subgrouplist.php'</script>";
}else{
save_msg('w','Sub-Group Fail to Delete!!!');
echo "<script>window.location='acc_subgrouplist.php'</script>";    
}
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-8">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Account Sub-Group</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>    
<div class="col-md-12 table-responsive">
<table class="table table-bordered table-striped" id="datarec">
<thead>
<tr>
<th style="width:40px;">SN</th>   
<th>Name</th>
<th>Group</th>
<th>Description</th>        
<th style="width:40px; text-align:center;">Action</th>    
</tr>
</thead>    
<tbody>
<?php
$sql="SELECT * FROM tbl_acsubgroup ORDER BY name ASC";    
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
while ($row=mysqli_fetch_array($query)){
$id=$row['id'];
?>
<tr>
<td class="center"><?php echo count_id();?></td>
<td><?php echo $row['name'];?></td>    
<td><?php echo get_fild_data('tbl_acgroup',$row['grid'],'name');?></td>
<td><?php echo $row['description'];?></td>     
<td nowrap=""><a class="btn btn-flat bg-purple" href="#" onclick="edit_item('ED_<?php echo $row['id'];?>')"><i class="fa fa-edit"></i></a> <a class="btn btn-flat bg-purple" href="#" onclick="remove_item('DL_<?php echo $row['id'];?>')"><i class="fa fa-trash"></i></a>
<form action="acc_subgrouplist.php" id="DL_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="delsgr" value="<?php echo $row['id']; ?>" />
</form>
<form action="acc_subgroupedit.php" id="ED_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="editsgr" value="<?php echo $row['id']; ?>" />
</form>    
</td>    
</tr>    
<?php } ?>    
</tbody>   
</table>
</div>
<div class="clearfix" ></div>  
<div class="row"style="margin-top: 15px" >
<div class="col-md-12 table-responsive">    
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<a href="acc_subgroupcreate.php" class="btn btn-flat bg-purple">Add Sub-Group</a>
</div>
</div>    
</div>    
</div>
</div>
</div>
<div class="col-md-4">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['utype']=='1'){echo read_activity($aid,'ASG','A');}else{echo read_activity($aid,'ASG','U');}?>
</div>
</div>
</div>
</div>
</div>
</div> 

<?php include('../layout/quick.php');?>    
</section>
<!-- /.main content -->    
</div>

<?php 
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function() {
$('#datarec').DataTable({stateSave: true});
});
function edit_item(id) {
   document.getElementById(id).submit(); 
}
function remove_item(id) {
        bootbox.confirm({
            title: "Confirm",
            message: "Are you sure to delete ?",
            buttons: {
                confirm: {
                    label: 'Yes',
                    className: 'btn-flat bg-purple'
                },
                cancel: {
                    label: 'Cancel',
                    className: 'btn-flat bg-gray'
                }
            },
            callback: function (result) {
                if (result == true) {
                    document.getElementById(id).submit();
                }
            }
        });

    }
</script>    
<!-- /page script -->
</html>